#ifndef DATABASE_H
#define DATABASE_H  1


/* ========================================================================== */
/* Include files */

#include "core.h"


/* ========================================================================== */
/* Function prototypes */

int  db_init(void);
int  db_exit(void);
int  db_clear(void);
int  db_update_groups(size_t, const char**);
int  db_add(const char*, core_anum_t, const char*, size_t);
int  db_read(const char*, core_anum_t, char**, size_t*);
int  db_delete(const char*, core_anum_t, core_anum_t);


#endif  /* DATABASE_H */

/* EOF */
